import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:worker_client/widgets/layout/BasicPage.dart';

class AboutUs extends BasicPage {
  @override
  Widget builder(BuildContext context) {
    naviTitle = '关于我们';
    return ListView(
      children: [
        Container(
            margin: EdgeInsets.symmetric(vertical: 25.h, horizontal: 15.w),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Container(
                  margin: EdgeInsets.only(bottom: 30.h),
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: [
                      Image.asset(
                        'images/machinery/mIcon.png',
                        width: 16.5.w,
                      ),
                      Container(
                        margin: EdgeInsets.symmetric(horizontal: 15.5.w),
                        child: Text(
                          '智慧农机的介绍',
                          style: TextStyle(
                              fontSize: 20.sp,
                              fontWeight: FontWeight.bold,
                              color: const Color(0xFF222222),
                              height: 1.1),
                        ),
                      ),
                      Image.asset(
                        'images/machinery/mIcon.png',
                        width: 16.5.w,
                      ),
                    ],
                  ),
                ),
                Text(
                  //利用模板字符串不会去除缩进原则增加空格来渲染出首行缩进效果
                  '       智慧农机旨在通过新一代物联网，大数据，3S等信息化技术有效整合省市县各级涉农资源',
                  style: TextStyle(
                      fontSize: 15.sp, color: Color(0xff121212), height: 2.4),
                ),
                Text(
                  '       以顶层设计方式建成“一个平台一个中心N个应用”汇聚农业产业。农业“两区”。 ',
                  style: TextStyle(
                      fontSize: 15.sp, color: Color(0xff121212), height: 2.4),
                ),
                Text(
                  '       物联网、植保、农机、畜牧、农资、农经，科教等各级农业业务应用及数据，形成大农业”数据中心。',
                  style: TextStyle(
                      fontSize: 15.sp, color: Color(0xff121212), height: 2.4),
                ),
                Text(
                  '       构建互联共享的“互联网+农业”信息服务体系以最终实现科学指导农业生产经营管理，政府决策监管和社会公众服务。',
                  style: TextStyle(
                      fontSize: 15.sp, color: Color(0xff121212), height: 2.4),
                ),
                Text(
                  '       ----------',
                  style: TextStyle(
                      fontSize: 15.sp, color: Color(0xff121212), height: 2.4),
                )
              ],
            )),
      ],
    );
  }
}
